Autodesk Inventor API with Python

python adsk
autodesk products
autodesk adobe
autodesk inventor programming
bls autodesk
autodesk inventor sdk
autodesk asean
win32com python

I try to use Python for Autodesk Inventor API. For example, I try to make a new sketch in an Inventor part document that I make with Python.

But I have a problem with adding sketches. All of my tries were wrong. Here's an example of code (one of a lot):

import win32com.client

from win32com.client import constants


invApp = win32com.client.Dispatch("Inventor.Application")
invApp.Visible = True

asd = invApp.Documents.Add(constants.kPartDocumentObject,"",True)

nsk = asd.PartDocuments.ComponentDefinition.Sketches.Add()

There is an error:

AttributeError: '<win32com.gen_py.Autodesk Inventor Object Library.Document instance at 0x284773312>' object has no attribute 'PartDocuments'

I tried to find the right way to call the attributes but I have not had any success.

As others have mentioned. Documents.Add() returns a Document object. We need to cast it to a partDocument like this.

invDoc = invApp.Documents.Add(constants.kPartDocumentObject,"",True)
invPartDoc = win32com.client.CastTo(invDoc, 'PartDocument')
xyPlane = invPartDoc.ComponentDefinition.WorkPlanes.Item(3)
sketch = invPartDoc.ComponentDefinition.Sketches.Add(xyPlane)

Inventor 2016 Python API automation - Autodesk Community, I have been using Inventor for close to 5 years now, but have just discovered the ability to use it via Python API. Is it possible to automate a. eTour.com is the newest place to search, delivering top results from across the web. Content updated daily for autodesk inventor software.

I'm not expert on Python... but the Documents.Add method return the new document, therefore the asd should contain the PartDocument type

asd = invApp.Documents.Add(constants.kPartDocumentObject,"",True)
nsk = asd.ComponentDefinition.Sketches.Add()

Use Python to open .ipt - Autodesk Community, Thank you in advance! P.S. are there any centralized api style resources for python/inventor? Willing to purchase a book or something if there are  3D Design, Architecture, Construction, Engineering, Media and Entertainment Software. Professional CAD / CAM Tools, Integrated BIM Tools and Artistic Tools.

This is an old question and I'm not sure what the solution is in Python, but I know what the problem is. The Documents.Add method is typed to return a Document object. The Document object does not support the ComponentDefinition property. However, in reality, a specific type of document is being returned. In this case, a PartDocument object is actually being returned and it does support the ComponentDefinition object. I don't know how you would cast a variable in Python so it knows it is really a PartDocument and not the base class Document object.

Autodesk Inventor API with Python, As others have mentioned. Documents.Add() returns a Document object. We need to cast it to a partDocument like this. invDoc = invApp. API, or Application Programming Interface, is a term used to describe the functionality exposed by an application that allows it to be used through a program. For example, you can use Inventor's API to write a program that will perform the same types of operations you can perform when using Inventor interactively.

Using Python with Inventor API : InventorAPI, Hey guys, if you are like me and hate writing Code in VBA you can actually write Python scripts for Inventor using the win32com.client module. The Autodesk Inventor API is based on a COM technology which means you can use a variety of programming languages (VB.NET, C++, C# and Python) to develop a plug-in. While each language has its own relative benefits, VB.NET is the natural choice for this guide: it is easy-to-learn, easy-to-use and a good general-purpose programming language.

Python, Inventor Python Demonstration. Ed Mater. Loading. Introduction to Inventor API (iLogic Duration: 2:37 Posted: Oct 30, 2012 I try to use Python for Autodesk Inventor API. For example, I try to make a new sketch in an Inventor part document that I make with Python. But I have a problem with adding sketches. All of my tries were wrong. Here's an example of code (one of a lot):

Inventor Python Demonstration, Design Automation sample in Python: Shows how to get token and check the status of one This is a Python sample code for Design Automation API (DA) (v3​). Family instance (using Revit), IPT Part parameters (using Inventor) and 3DS . Inventor Customization Welcome to Autodesk’s Inventor Customization Forums. Share your knowledge, ask questions, and explore popular Inventor Customization topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.

Comments
  • thanks. I tried like this, but there is the same mistake: object has no attribute 'ComponentDefinition'.
  • I think it also can be incorrect work of module "win32com.client"